Bug 457281 - Review Request: unikurd-fonts - A widely used Kurdish font
Review Request: unikurd-fonts - A widely used Kurdish font
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Nowak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 481494
  Show dependency treegraph
 
Reported: 2008-07-30 12:56 EDT by Michal Nowak
Modified: 2013-03-07 21:04 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 20:24:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
a.badger: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2008-07-30 12:56:17 EDT
Spec URL: http://mnowak.fedorapeople.org/unikurd/unikurd-fonts.spec
SRPM URL: http://mnowak.fedorapeople.org/unikurd/unikurd-fonts-1.00-1.fc9.src.rpm
Description:

A widely used Kurdish font which supports various Arabic scripts like
(Arabic, Kurdish, Persian) and also Latin.
Comment 1 Michal Nowak 2008-07-30 13:02:58 EDT
* Tue Jul 30 2008 Michal Nowak <mnowak@redhat.com> - 1.00-1
- initial packaging
- this package should be prepared for another unikurd fonts
  in sub-packages because on the KurdIT group/unikurd web there
  are plenthora of them, but probably not under suitable licenses
Comment 2 Ankur Sinha 2008-09-11 13:29:10 EDT
--unofficial review--

package:-

unikurd-fonts-1.00-1.fc9.src.rpm

Bug 457281

rpmlint

[Package@Ankur ~]$ rpmlint unikurd-fonts-1.00-1.fc9.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Specfile Name : unikurd-fonts.spec

Package Source Check: Successful

[Package@Ankur packages_review]$ rpmdev-md5 unikurd-fonts-1.00-1.fc9.src.rpm
bcd8a758672b59e015edcce373980f89  unikurd-fonts-1.00-1.fc9.src.rpm
4015d8d8ad76d83ae782dc2e486e8643  unikurd-fonts.spec
1d0af629e8f4ce4e1722d0cacf2e26b0  unikurdweb.zip

[Package@Ankur packages_review]$ md5sum unikurdweb.zip
1d0af629e8f4ce4e1722d0cacf2e26b0  unikurdweb.zip

RPMBUILD: Successful

[Package@Ankur SPECS]$ rpmbuild -ba unikurd-fonts.spec
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.95004
+ umask 022
+ cd /home/Package/rpmbuild/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/Package/rpmbuild/BUILD
+ rm -rf unikurd-fonts-1.00
+ /bin/mkdir -p unikurd-fonts-1.00
+ cd unikurd-fonts-1.00
+ /usr/bin/unzip -qq /home/Package/rpmbuild/SOURCES/unikurdweb.zip
+ STATUS=0
+ '[' 0 -ne 0 ']'
++ /usr/bin/id -u
+ '[' 501 = 0 ']'
++ /usr/bin/id -u
+ '[' 501 = 0 ']'
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.95004
+ umask 022
+ cd /home/Package/rpmbuild/BUILD
+ cd unikurd-fonts-1.00
+ LANG=C
+ export LANG
+ unset DISPLAY
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.95004
+ umask 022
+ cd /home/Package/rpmbuild/BUILD
+ cd unikurd-fonts-1.00
+ LANG=C
+ export LANG
+ unset DISPLAY
+ rm -rf /var/tmp/unikurd-fonts-1.00-1.fc9-root-Package
+ install -dm 755 /var/tmp/unikurd-fonts-1.00-1.fc9-root-Package/usr/share/fonts/unikurd
+ install -pm 644 Unikuweb.ttf /var/tmp/unikurd-fonts-1.00-1.fc9-root-Package/usr/share/fonts/unikurd
+ /usr/lib/rpm/find-debuginfo.sh /home/Package/rpmbuild/BUILD/unikurd-fonts-1.00
+ /usr/lib/rpm/check-rpaths /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
+ /usr/lib/rpm/brp-python-bytecompile
+ /usr/lib/rpm/redhat/brp-python-hardlink
+ /usr/lib/rpm/redhat/brp-java-repack-jars
Processing files: unikurd-fonts-web-1.00-1.fc9
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.2683
+ umask 022
+ cd /home/Package/rpmbuild/BUILD
+ cd unikurd-fonts-1.00
+ DOCDIR=/var/tmp/unikurd-fonts-1.00-1.fc9-root-Package/usr/share/doc/unikurd-fonts-web-1.00
+ export DOCDIR
+ rm -rf /var/tmp/unikurd-fonts-1.00-1.fc9-root-Package/usr/share/doc/unikurd-fonts-web-1.00
+ /bin/mkdir -p /var/tmp/unikurd-fonts-1.00-1.fc9-root-Package/usr/share/doc/unikurd-fonts-web-1.00
+ cp -pr gpl.txt /var/tmp/unikurd-fonts-1.00-1.fc9-root-Package/usr/share/doc/unikurd-fonts-web-1.00
+ exit 0
Requires(interp): /bin/sh /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires(post): /bin/sh
Requires(postun): /bin/sh
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/unikurd-fonts-1.00-1.fc9-root-Package
Wrote: /home/Package/rpmbuild/SRPMS/unikurd-fonts-1.00-1.fc9.src.rpm
Wrote: /home/Package/rpmbuild/RPMS/noarch/unikurd-fonts-web-1.00-1.fc9.noarch.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.2683
+ umask 022
+ cd /home/Package/rpmbuild/BUILD
+ cd unikurd-fonts-1.00
+ rm -rf /var/tmp/unikurd-fonts-1.00-1.fc9-root-Package
+ exit 0

No duplicates in  %file section

Permissions correct

%clean section CORRECT

%install section CORRECT contains rm -rf %{buildroot}

Source contains gpl.txt

conf file missing..Suggest adding it..please refer :

http://fedoraproject.org/wiki/SIGs/Fonts/Packaging/Fontconfig
Comment 3 Jens Petersen 2008-10-03 04:02:20 EDT
(In reply to comment #1)
> - this package should be prepared for another unikurd fonts
>   in sub-packages because on the KurdIT group/unikurd web there
>   are plenthora of them, but probably not under suitable licenses

Sorry, could you elaborate on what this means?
Comment 4 Michal Nowak 2008-10-06 03:22:47 EDT
(In reply to comment #3)
> Sorry, could you elaborate on what this means?

The package unikurd-fonts-web is sub-package of unikurd-fonts. I could create package unikurd-web-font and then package unikurd-penos-font, but I thought it will be better to have package unikurd-fonts and sub-package them according to actual font (web, penos, ...).
Comment 5 Nicolas Mailhot 2008-10-12 12:22:11 EDT
(In reply to comment #2)
> --unofficial review--

Thank you for the nice unofficial review Ankur, I'll take up from there.

Michal: The spec is an almost perfect copy from official guidelines, that makes it easy to review, thanks

Blocking remarks

1. unless upstream has confirmed 1.0 is the actual font revision, and it will version further updates, please use 20020502 as version
⇒ check the version

2. Please add a fontconfig file as Ankur suggested. Since unikurd covers unicode blocks Behdad is interested in, I think it shouldn't be too hard to get him to help you (I doubt he wants you to stomp on farsi)
⇒ add some fontconfig rules

3. unless you *know* upstream is going to release new fonts in the same archive, there is no need to prepare for subpackaging. Upstream is just as likely to publish separate archives, which will mean separate packages (see the gfs fonts for examples). If upstream does end up adding new fonts to this very archive, you can always go the obsolete route
⇒ drop the "just in case" subpackaging

Non blocking remarks

1. please have upstream add the GPL font exception to their font
2. please have upstream provide sfd sources if they use fontforge
Comment 6 Michal Nowak 2008-10-13 05:15:56 EDT
(In reply to comment #5)
> 1. unless upstream has confirmed 1.0 is the actual font revision, and it will
> version further updates, please use 20020502 as version
> ⇒ check the version
> 

My version guess is based on output from gnome-font-viewer.

Says: "Version 1.00"

> 2. Please add a fontconfig file as Ankur suggested. Since unikurd covers
> unicode blocks Behdad is interested in, I think it shouldn't be too hard to get
> him to help you (I doubt he wants you to stomp on farsi)
> ⇒ add some fontconfig rules
> 

I am somewhat busy at the moment, this might take me some time, but I am definitely for have it packed.

> 3. unless you *know* upstream is going to release new fonts in the same
> archive, there is no need to prepare for subpackaging. Upstream is just as
> likely to publish separate archives, which will mean separate packages (see the
> gfs fonts for examples). If upstream does end up adding new fonts to this very
> archive, you can always go the obsolete route
> ⇒ drop the "just in case" subpackaging
> 

Dropped.


> Non blocking remarks
> 
> 1. please have upstream add the GPL font exception to their font

See Fedora fonts ml. Just pinged them.

> 2. please have upstream provide sfd sources if they use fontforge

See Fedora fonts ml.


http://eva.fit.vutbr.cz/~xnowak01/Fedora/unikurd-web/unikurd-web-font.spec

http://eva.fit.vutbr.cz/~xnowak01/Fedora/unikurd-web/unikurd-web-font-1.00-2.el5.src.rpm
Comment 7 Nicolas Mailhot 2008-10-13 16:38:08 EDT
(In reply to comment #6)
> (In reply to comment #5)
> My version guess is based on output from gnome-font-viewer.
> Says: "Version 1.00"

Unfortunately since 1.00 is the default in many font creation tools that does not mean anything. Experience shows you can have 6-7 successive font updates that all pretend they are 1.00 :(

Unless you've verified with upstream 1.00 is really 1.00, and the next one will be something else, the only safe version to use with fonts that declare themselves as 1.00 is the sfd/ttf file timestamp.
 
> > 2. Please add a fontconfig file as Ankur suggested. Since unikurd covers
> > unicode blocks Behdad is interested in, I think it shouldn't be too hard to get
> > him to help you (I doubt he wants you to stomp on farsi)
> > ⇒ add some fontconfig rules

> I am somewhat busy at the moment, this might take me some time, but I am
> definitely for have it packed.

Ok, I guess this is not a blocker but it would be really nice to have.
 
> > Non blocking remarks
> > 
> > 1. please have upstream add the GPL font exception to their font
> 
> See Fedora fonts ml. Just pinged them.
> 
> > 2. please have upstream provide sfd sources if they use fontforge
> 
> See Fedora fonts ml.

This was just to trace it :) You've done it publicly and that's very good.

> 
> http://eva.fit.vutbr.cz/~xnowak01/Fedora/unikurd-web/unikurd-web-font.spec

Ok, some more nitpicking: please use %defattr(644,root,root,755)

So:
1. fix the version
2. use %defattr(644,root,root,755)
3. add fontconfig rules (this can wait after import)
4. continue to ask to GPL exception and sfds

But in the meanwhile the package is APPROVED. Thank you for your persistence.

You can continue from 
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a now. Please don't forget the comps and wiki bits.
Comment 8 Nicolas Mailhot 2008-10-13 17:04:58 EDT
Everything is in your hands Michal now.
Comment 10 Michal Nowak 2008-10-14 12:52:43 EDT
New Package CVS Request
=======================
Package Name: unikurd-web-font
Short Description: A widely used Kurdish font
Owners: mnowak
Branches: F-8 F-9 F-10
InitialCC: fonts-sig
Comment 11 Toshio Ernie Kuratomi 2008-10-15 12:50:56 EDT
cvs done.
Comment 12 Fedora Update System 2008-11-09 07:20:20 EST
unikurd-web-font-20020502-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/unikurd-web-font-20020502-1.fc10
Comment 13 Fedora Update System 2008-11-09 07:21:08 EST
unikurd-web-font-20020502-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/unikurd-web-font-20020502-1.fc9
Comment 14 Fedora Update System 2008-11-09 07:22:10 EST
unikurd-web-font-20020502-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/unikurd-web-font-20020502-1.fc8
Comment 15 Fedora Update System 2008-11-11 21:53:13 EST
unikurd-web-font-20020502-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update unikurd-web-font'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9538
Comment 16 Fedora Update System 2008-11-11 21:54:00 EST
unikurd-web-font-20020502-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update unikurd-web-font'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-9546
Comment 17 Fedora Update System 2008-11-22 11:59:59 EST
unikurd-web-font-20020502-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update unikurd-web-font'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/f10/FEDORA-2008-10000
Comment 18 Fedora Update System 2008-12-02 20:24:24 EST
unikurd-web-font-20020502-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2008-12-02 20:24:36 EST
unikurd-web-font-20020502-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2008-12-02 20:28:21 EST
unikurd-web-font-20020502-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.